| Flutter Linux Embedder |

Functions
fl_key_responder.cc File Reference
`#include "flutter/shell/platform/linux/fl_key_responder.h"`

Go to the source code of this file.

## Functions
static void | fl_key_responder_default_init (FlKeyResponderInterface *iface)
void | fl_key_responder_handle_event (FlKeyResponder *self, FlKeyEvent *event, FlKeyResponderAsyncCallback callback, gpointer user_data, uint64_t specified_logical_key)

## Function Documentation

## ◆ fl_key_responder_default_init()

static void fl_key_responder_default_init | ( | FlKeyResponderInterface * | iface | ) |
| static

Definition at line 9 of file fl_key_responder.cc.

9 {}

## ◆ fl_key_responder_handle_event()

void fl_key_responder_handle_event | ( | FlKeyResponder * | responder,
|  | FlKeyEvent * | event,
|  | FlKeyResponderAsyncCallback | callback,
|  | gpointer | user_data,
|  | uint64_t | specified_logical_key = `0`
| ) |  |

fl_key_responder_handle_event: @responder: the #FlKeyResponder self. @event: the event to be handled. Must not be null. The object is managed by callee and must not be assumed available after this function. @callback: the callback to report the result. It should be called exactly once. Must not be null. @user_data: a value that will be sent back in the callback. Can be null.

Let the responder handle an event, expecting the responder to report whether to handle the event. The result will be reported by invoking `callback` exactly once, which might happen after `fl_key_responder_handle_event` or during it.

Definition at line 11 of file fl_key_responder.cc.

15 {
16 g_return_if_fail(FL_IS_KEY_RESPONDER(self));
17 g_return_if_fail(event != nullptr);
18 g_return_if_fail(callback != nullptr);
19
20 FL_KEY_RESPONDER_GET_IFACE(self)->handle_event(
21 self, event, specified_logical_key, callback, user_data);
22 }

References callback, event, specified_logical_key, and user_data.

Referenced by dispatch_to_responder(), TEST(), and test_lock_event().

event
FlKeyEvent * event
Definition: fl_key_channel_responder.cc:118
user_data
FlKeyEvent uint64_t FlKeyResponderAsyncCallback gpointer user_data
Definition: fl_key_channel_responder.cc:121
specified_logical_key
FlKeyEvent uint64_t specified_logical_key
Definition: fl_key_channel_responder.cc:119
callback
FlKeyEvent uint64_t FlKeyResponderAsyncCallback callback
Definition: fl_key_channel_responder.cc:120